#include "lineRecorder.h"


//---------------------------------------------------------
lineRecorder::lineRecorder(){
	nPts = 0;
}

//---------------------------------------------------------
void lineRecorder::addPoint(ofVec3f newPt){
	if (nPts < MAX_NUM_LINE_RECORDER_PTS){
		pts[nPts].set(newPt);
	}
	nPts++;
}

//---------------------------------------------------------
void lineRecorder::draw(float offsetx, float offsety){
	ofSetColor(0xffffff);
	glBegin(GL_LINE_STRIP);
	for (int i = 0; i < nPts; i++){
		glVertex2f(pts[i].x - offsetx, pts[i].y - offsety);
	}
	glEnd();
}	

//---------------------------------------------------------
float lineRecorder::getCurrentAngle(){
	if (nPts > 3){
		ofVec3f diff = pts[nPts-1] - pts[nPts-2];
		return atan2(diff.y, diff.x);
	} else {
		return 0;
	}
}

//---------------------------------------------------------
ofVec3f lineRecorder::getCurrentPoint(){
	if (nPts > 2){
		return ofVec3f(pts[nPts-1]);
	} else {
		return ofVec3f (0,0,0);
	}
}